Skip to content

Add an image to a content post

Request

Add a new image to a content record. Response body is the updated content record.

This API does not resize or rehost images. Images should be appropriately sized and will be served from the provided URL.

Security
oauth2_as_a_user(Required scopes: content.write) or oauth2_as_a_server(Required scopes: content.write)
Path
content_idintegerrequired

ID or UUID of the content post

Bodyapplication/json
image_urlstring

URL of the image to add.

curl -i -X PUT \
  'https://partner.socialchorus.com/v2/content/{content_id}/images' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "image_url": "string"
  }'

Responses

Content Image Created

Bodyapplication/json
dataobject(Content.Image.Resource)required
Response
{ "data": { "id": 678, "image_url": "https://cdn.example.com/acme/acmetimes/images/abc123", "width": 1024, "height": 768 } }